%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-globule
Version:    0.2.0
Release:    6%{?dist}
Summary:    An easy-to-use wildcard globbing library for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/cowboy/node-globule
Source0:    http://registry.npmjs.org/globule/-/globule-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-contrib-watch)
BuildRequires:  npm(glob)
BuildRequires:  npm(lodash)
BuildRequires:  npm(nodeunit)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep lodash
%nodejs_fixdep glob
%nodejs_fixdep minimatch


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/globule
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/globule

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/globule_test.js
%endif


%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/globule


%changelog
* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-6
- Relax version of npm(minimatch)

* Wed Oct 21 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-5
- Fix dependencies on 'glob' and 'lodash'

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
